class SyncReponame < ActiveRecord::Migration[5.2]
  def change
    g = Gitlab.client
    myshixuns = Myshixun.where("repo_name is null")
    myshixuns.find_each do |myshixun|
      begin
        puts myshixun.id
        repo_name = g.project(myshixun.gpid).path_with_namespace
        puts repo_name
        myshixun.update_column(:repo_name, repo_name)
      rescue Exception => e
        Rails.logger.error("e.message")
      end
    end
  end
end
